import { ComponentProps } from 'react';

export type PaginationProps = ComponentProps<"div">;
export declare function Pagination({ className, ...props }: PaginationProps): import("react/jsx-runtime").JSX.Element;
export type PaginationItemProps = ComponentProps<"button"> & {
    active?: boolean;
};
export declare function PaginationItem({ className, active, ...props }: PaginationItemProps): import("react/jsx-runtime").JSX.Element;
export declare function PaginationIconItem({ className, ...props }: PaginationItemProps): import("react/jsx-runtime").JSX.Element;
